# Class EncryptedConnectionList

#### Hierarchy

- unknown
  - EncryptedConnectionList

- Defined in src/protobuf/pb_pb.d.ts:6761
- Defined in src/protobuf/pb_pb.d.ts:6789

#####
Index

### Constructors

constructor

### Methods

addItems
clearItemsList
getAutoSwitch
getCurrentConnectionUrl
getItemsList
getRefreshPeriod
getSalt
getSalt_asB64
getSalt_asU8
serializeBinary
setAutoSwitch
setCurrentConnectionUrl
setItemsList
setRefreshPeriod
setSalt
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new EncryptedConnectionList(): EncryptedConnectionList

- #### Returns EncryptedConnectionList

  Inherited from jspb.Message.constructor

## Methods

### addItems

- addItems(value?: EncryptedConnection, index?: number): EncryptedConnection

- #### Parameters

  - ##### `Optional` value: EncryptedConnection

  - ##### `Optional` index: number

  #### Returns EncryptedConnection

  - Defined in src/protobuf/pb_pb.d.ts:6770

### clearItemsList

- clearItemsList(): EncryptedConnectionList

- #### Returns EncryptedConnectionList

  - Defined in src/protobuf/pb_pb.d.ts:6769

### getAutoSwitch

- getAutoSwitch(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6778

### getCurrentConnectionUrl

- getCurrentConnectionUrl(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6772

### getItemsList

- getItemsList(): EncryptedConnection[]

- #### Returns EncryptedConnection[]

  - Defined in src/protobuf/pb_pb.d.ts:6767

### getRefreshPeriod

- getRefreshPeriod(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:6775

### getSalt

- getSalt(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6762

### getSalt_asB64

- getSalt_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:6764

### getSalt_asU8

- getSalt_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6763

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6781

### setAutoSwitch

- setAutoSwitch(value: boolean): EncryptedConnectionList

- #### Parameters

  - ##### value: boolean

  #### Returns EncryptedConnectionList

  - Defined in src/protobuf/pb_pb.d.ts:6779

### setCurrentConnectionUrl

- setCurrentConnectionUrl(value: string): EncryptedConnectionList

- #### Parameters

  - ##### value: string

  #### Returns EncryptedConnectionList

  - Defined in src/protobuf/pb_pb.d.ts:6773

### setItemsList

- setItemsList(value: EncryptedConnection[]): EncryptedConnectionList

- #### Parameters

  - ##### value: EncryptedConnection[]

  #### Returns EncryptedConnectionList

  - Defined in src/protobuf/pb_pb.d.ts:6768

### setRefreshPeriod

- setRefreshPeriod(value: number): EncryptedConnectionList

- #### Parameters

  - ##### value: number

  #### Returns EncryptedConnectionList

  - Defined in src/protobuf/pb_pb.d.ts:6776

### setSalt

- setSalt(value: string | Uint8Array): EncryptedConnectionList

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns EncryptedConnectionList

  - Defined in src/protobuf/pb_pb.d.ts:6765

### toObject

- toObject(includeInstance?: boolean): EncryptedConnectionList.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns EncryptedConnectionList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6782

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): EncryptedConnectionList

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns EncryptedConnectionList

  - Defined in src/protobuf/pb_pb.d.ts:6785

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: EncryptedConnectionList, reader: BinaryReader): EncryptedConnectionList

- #### Parameters

  - ##### message: EncryptedConnectionList

  - ##### reader: BinaryReader

  #### Returns EncryptedConnectionList

  - Defined in src/protobuf/pb_pb.d.ts:6786

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: EncryptedConnectionList, writer: BinaryWriter): void

- #### Parameters

  - ##### message: EncryptedConnectionList

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:6784

### `Static` toObject

- toObject(includeInstance: boolean, msg: EncryptedConnectionList): EncryptedConnectionList.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: EncryptedConnectionList

  #### Returns EncryptedConnectionList.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6783

Generated using TypeDoc